Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 23-01-2022 22:10:17

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Compilation sources LOGICIEL MP4Tools-3.8

Bonjour,

J'essaie de compiler les sources du logiciel vidéo MP4Tools pour en faire un paquet .deb (seuls existent en effet les installateurs pour Windows ou Mac) mais je bute lors du "./configure" sur  le message d'erreur "configure: error:
MP4Joiner requires the wxSVG library with ffmpeg/libav support."

J'ai pourtant installé il me semble les librairies nécessaires indiquées par ./configure.

Qui peut essayer de compiler MP4Tools à partir des sources figurant sur le site https://www.mp4joiner.org/fr/ et me dire comment corriger l'erreur donnée par ./configure ?

Avec mes remerciements.

Hors ligne

#2 23-01-2022 23:36:03

lann
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-8-amd64
(G)UI : XFCE
Inscription : 28-04-2015

Re : Compilation sources LOGICIEL MP4Tools-3.8

J'ai essayé sur une Debian Stable et j'ai la même erreur que toi.
En regardant le fichier configure.ac, on voit qu'il cherche un fichier wxSVG/mediadec_ffmpeg.h qui est présent et une fonction new wxFfmpegMediaDecoder dans la librairie wxFfmpegMediaDecoder.a que je ne trouve pas dans le système.

AC_LINK_IFELSE([AC_LANG_PROGRAM(
    [[#include <wxSVG/mediadec_ffmpeg.h>]],
    [[wxFfmpegMediaDecoder *a = new wxFfmpegMediaDecoder;]])],
    [WXSVGLIBAV=yes], [WXSVGLIBAV=no])
AC_MSG_RESULT([$WXSVGLIBAV])
if test "x$WXSVGLIBAV" = x"no"; then
  AC_MSG_ERROR([
    MP4Joiner requires the wxSVG library with ffmpeg/libav support.
])



Peut être essayé avec une Debian plus récente

Hors ligne

#3 24-01-2022 12:02:07

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

bonjour patatino    wink   wink   wink

tu as essayé de compiler wxGTK et MP4Box comme mentionné dans les prérequis  ?
(fichier INSTALL dans l'archive)

wxGTK est particulièrement long à compiler , j'ai pas eu la patience d'attendre .

amicalement ,

alain.

coyotus.png

n.b.: je crois qu'il y a moyen de compiler un deb depuis les sources mais
j'ai oublié  la commande et je ne suis pas sûr .

Dernière modification par Debian Alain (24-01-2022 12:21:27)

Hors ligne

#4 24-01-2022 12:21:09

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

voilà , j'ai trouvé la réponse à ta question .

il s'agit de

checkinstall


https://wiki.debian.org/fr/CheckInstall

par contre , je l'utilise tellement rarement que je sais plus s'il faut le lancer en root ou en user  .

amicalement .

alain .

coyotus.png

Hors ligne

#5 24-01-2022 12:59:32

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Bonjour,

il est dans les deb-multimedia.org mais je ne dis que ça roll

Hors ligne

#6 24-01-2022 13:01:03

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Debian Alain a écrit :

....

par contre , je l'utilise tellement rarement que je sais plus s'il faut le lancer en root ou en user  .

amicalement .

alain .

https://debian-facile.org/img/smilies/xtras/coyotus.png



Bonjour,

en user si tu veux le créer et pas l'installer wink

Hors ligne

#7 24-01-2022 17:29:22

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

Bonjour
ceci ne convient pas (sur buster , pas vérifier sur bullseye)


apt policy libwxsvg*
libwxsvg2:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
libwxsvg3:
  Installé : (aucun)
  Candidat : 2:1.5.15+dfsg.2-1
 Table de version :
     2:1.5.15+dfsg.2-1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
libwxsvg-tools:
  Installé : (aucun)
  Candidat : 2:1.5.15+dfsg.2-1
 Table de version :
     2:1.5.15+dfsg.2-1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
libwxsvg2v5:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
libwxsvg-dev:
  Installé : (aucun)
  Candidat : 2:1.5.15+dfsg.2-1
 Table de version :
     2:1.5.15+dfsg.2-1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
 



idem pour libwxgtk* , pas mal de paquets

attention aux versions (prés requis ) , je n'ai rien testé par contre

Dernière modification par robert2a (24-01-2022 17:36:50)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#8 24-01-2022 17:49:56

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

bonjour  smile  smile  smile

je viens confirmer les propos de golgot200 :

apt-cache madison mp4tools


  mp4tools | 0.6.8-dmo3 | https://www.deb-multimedia.org sid/main amd64 Packages
  mp4tools | 0.6.8-dmo3 | https://www.deb-multimedia.org sid/main i386 Packages



https://deb-multimedia.org/

https://debian-facile.org/doc:systeme:apt:pinning

amicalement .

merci .

alain .

coyotus.png

Dernière modification par Debian Alain (24-01-2022 17:57:48)

Hors ligne

#9 24-01-2022 23:37:15

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

Merci pour toutes ces réponses mais elle ne m'aident pas à la résolution du message d'erreur de ./configure, soit l'absence de wxSVG library with ffmpeg/libav support.
Si quelqu'un veut bien essayer de réellement compiler les sources de MP4Tools-38.8 et donner sa solution au message d'erreur.... Merci d'avance !

PS : Pour Debian Alain, j'ai bien lu de fichier install mais la compilation de "wxwidgets" aboutit à la même erreur que celle de Mp4Tools-3.8  !

Hors ligne

#10 25-01-2022 07:57:32

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

@patatino

patatino a écrit :

...
Si quelqu'un veut bien essayer de réellement compiler les sources de MP4Tools-38.8 et donner sa solution au message d'erreur.... Merci d'avance !



Ok pour ça tongue







Bonjour,

EDIT : robert2a dans son post 7 fait apparaitre une dev manquante "libwxsvg-dev".

je ne suis pas sous Debian mais je suis quasi-sûr qu'il te manque  :

apt policy libwxsvg-dev



et si pas installé :


apt install libwxsvg-dev




il te faut donc:

mediadec_ffmpeg.h qui se trouve bien dans le paquet libwxsvg-dev :

https://packages.debian.org/buster/amd6 … v/filelist

Et là, je pense que la compilation pourra continuer jusqu'a un éventuel autre manque de "lib...dev"

EDIT 2

J'ai compiler les sources sans problème sous Arch mais en installant surtout un paquet manquant, car comme toi, error :

configure: error: *** missing wxSVG library >= 1.1.13 ***



Installation de wxsvg qui montre dans les détails fichiers : "usr/include/wxSVG/mediadec_ffmpeg.h" et là ça passe :



./autogen.sh
[patrick@PC1 MP4Tools-3.8]$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/home/patrick/Téléchargements/MP4Tools-3.8/missing: Unknown `--is-lightweight' option
Try `/home/patrick/Téléchargements/MP4Tools-3.8/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing
checking for a race-free mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for install location... /usr/local
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... none needed
checking whether gcc understands -c and -o together... yes
checking whether make supports the include directive... yes (GNU style)
checking dependency style of gcc... gcc3
checking for g++... g++
checking whether the compiler supports GNU C++... yes
checking whether g++ accepts -g... yes
checking for g++ option to enable C++11 features... none needed
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for wx-config... /usr/bin/wx-config
checking for wxWidgets version >= 2.8.7... yes (version 3.0.5)
checking for wxWidgets static library... no
checking for LIBAV... yes
checking for libavformat/avformat.h... yes
checking for wxSVG... yes
checking for wxSVG library with ffmpeg/libav support... yes
checking for msgfmt... /usr/bin/msgfmt
checking for MP4Box... /usr/bin/MP4Box
checking for avconv... no
checking for ffmpeg... /usr/bin/ffmpeg
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating Info.plist
config.status: creating InfoSplitter.plist
config.status: creating src/Makefile
config.status: creating src/Version.h
config.status: creating locale/Makefile
config.status: executing depfiles commands
[patrick@PC1 MP4Tools-3.8]$ make
Making all in src
make[1] : on entre dans le répertoire « /home/patrick/Téléchargements/MP4Tools-3.8/src »
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT Config.o -MD -MP -MF .deps/Config.Tpo -c -o Config.o Config.cpp
mv -f .deps/Config.Tpo .deps/Config.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT Languages.o -MD -MP -MF .deps/Languages.Tpo -c -o Languages.o Languages.cpp
mv -f .deps/Languages.Tpo .deps/Languages.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT MediaStream.o -MD -MP -MF .deps/MediaStream.Tpo -c -o MediaStream.o MediaStream.cpp
mv -f .deps/MediaStream.Tpo .deps/MediaStream.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT MediaFile.o -MD -MP -MF .deps/MediaFile.Tpo -c -o MediaFile.o MediaFile.cpp
mv -f .deps/MediaFile.Tpo .deps/MediaFile.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT MediaListBox.o -MD -MP -MF .deps/MediaListBox.Tpo -c -o MediaListBox.o MediaListBox.cpp
mv -f .deps/MediaListBox.Tpo .deps/MediaListBox.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT utils.o -MD -MP -MF .deps/utils.Tpo -c -o utils.o utils.cpp
mv -f .deps/utils.Tpo .deps/utils.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT ProgramProcess.o -MD -MP -MF .deps/ProgramProcess.Tpo -c -o ProgramProcess.o ProgramProcess.cpp
mv -f .deps/ProgramProcess.Tpo .deps/ProgramProcess.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT mediactrl_ffmpeg.o -MD -MP -MF .deps/mediactrl_ffmpeg.Tpo -c -o mediactrl_ffmpeg.o mediactrl_ffmpeg.cpp
mv -f .deps/mediactrl_ffmpeg.Tpo .deps/mediactrl_ffmpeg.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT VideoPropDlg.o -MD -MP -MF .deps/VideoPropDlg.Tpo -c -o VideoPropDlg.o VideoPropDlg.cpp
mv -f .deps/VideoPropDlg.Tpo .deps/VideoPropDlg.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT OptionsDlg.o -MD -MP -MF .deps/OptionsDlg.Tpo -c -o OptionsDlg.o OptionsDlg.cpp
mv -f .deps/OptionsDlg.Tpo .deps/OptionsDlg.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT MainWin.o -MD -MP -MF .deps/MainWin.Tpo -c -o MainWin.o MainWin.cpp
mv -f .deps/MainWin.Tpo .deps/MainWin.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT mp4joiner.o -MD -MP -MF .deps/mp4joiner.Tpo -c -o mp4joiner.o mp4joiner.cpp
mv -f .deps/mp4joiner.Tpo .deps/mp4joiner.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT ProgressDlg.o -MD -MP -MF .deps/ProgressDlg.Tpo -c -o ProgressDlg.o ProgressDlg.cpp
mv -f .deps/ProgressDlg.Tpo .deps/ProgressDlg.Po
g++  -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1   -o mp4joiner Config.o Languages.o MediaStream.o MediaFile.o MediaListBox.o utils.o ProgramProcess.o mediactrl_ffmpeg.o VideoPropDlg.o OptionsDlg.o MainWin.o mp4joiner.o ProgressDlg.o  -pthread   -lwx_gtk2u_html-3.0 -lwx_gtk2u_core-3.0 -lwx_baseu_net-3.0 -lwx_gtk2u_adv-3.0 -lwx_gtk2u_media-3.0 -lwx_baseu-3.0   -lavformat -lavcodec -lavutil -lswscale -lavfilter  -lwxsvg  -lwxsvg
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT CheckedListCtrl.o -MD -MP -MF .deps/CheckedListCtrl.Tpo -c -o CheckedListCtrl.o CheckedListCtrl.cpp
mv -f .deps/CheckedListCtrl.Tpo .deps/CheckedListCtrl.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT SplitterWin.o -MD -MP -MF .deps/SplitterWin.Tpo -c -o SplitterWin.o SplitterWin.cpp
mv -f .deps/SplitterWin.Tpo .deps/SplitterWin.Po
g++ -DPACKAGE_NAME=\"MP4Tools\" -DPACKAGE_TARNAME=\"mp4tools\" -DPACKAGE_VERSION=\"3.8\" -DPACKAGE_STRING=\"MP4Tools\ 3.8\" -DPACKAGE_BUGREPORT=\"http://www.mp4joiner.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mp4tools\" -DVERSION=\"3.8\" -I.   -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__   -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1 -MT mp4splitter.o -MD -MP -MF .deps/mp4splitter.Tpo -c -o mp4splitter.o mp4splitter.cpp
mv -f .deps/mp4splitter.Tpo .deps/mp4splitter.Po
g++  -g -O2  -fno-strict-aliasing  -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -pthread -I/usr/include/pixman-1  -DUSE_FFMPEG=1   -o mp4splitter Config.o Languages.o MediaStream.o MediaFile.o MediaListBox.o utils.o ProgramProcess.o mediactrl_ffmpeg.o VideoPropDlg.o CheckedListCtrl.o SplitterWin.o mp4splitter.o ProgressDlg.o OptionsDlg.o  -pthread   -lwx_gtk2u_html-3.0 -lwx_gtk2u_core-3.0 -lwx_baseu_net-3.0 -lwx_gtk2u_adv-3.0 -lwx_gtk2u_media-3.0 -lwx_baseu-3.0   -lavformat -lavcodec -lavutil -lswscale -lavfilter  -lwxsvg  -lwxsvg
make[1] : on quitte le répertoire « /home/patrick/Téléchargements/MP4Tools-3.8/src »
Making all in locale
make[1] : on entre dans le répertoire « /home/patrick/Téléchargements/MP4Tools-3.8/locale »
msgfmt -v -o de/mp4tools.mo de.po
102 messages traduits.
msgfmt -v -o es/mp4tools.mo es.po
102 messages traduits.
msgfmt -v -o es_VE/mp4tools.mo es_VE.po
102 messages traduits.
msgfmt -v -o fr/mp4tools.mo fr.po
85 messages traduits, 8 traductions approximatives, 9 messages non traduits.
msgfmt -v -o ko/mp4tools.mo ko.po
102 messages traduits.
msgfmt -v -o hu/mp4tools.mo hu.po
91 messages traduits, 2 traductions approximatives, 9 messages non traduits.
msgfmt -v -o it/mp4tools.mo it.po
102 messages traduits.
msgfmt -v -o pl/mp4tools.mo pl.po
91 messages traduits, 1 traduction approximative, 10 messages non traduits.
msgfmt -v -o pt/mp4tools.mo pt.po
39 messages traduits, 15 traductions approximatives, 48 messages non traduits.
msgfmt -v -o pt_BR/mp4tools.mo pt_BR.po
33 messages traduits, 15 traductions approximatives, 54 messages non traduits.
msgfmt -v -o ru/mp4tools.mo ru.po
102 messages traduits.
msgfmt -v -o si/mp4tools.mo si.po
102 messages traduits.
msgfmt -v -o tr/mp4tools.mo tr.po
91 messages traduits, 2 traductions approximatives, 9 messages non traduits.
msgfmt -v -o zh_CN/mp4tools.mo zh_CN.po
92 messages traduits, 1 traduction approximative, 9 messages non traduits.
msgfmt -v -o zh_TW/mp4tools.mo zh_TW.po
92 messages traduits, 1 traduction approximative, 9 messages non traduits.
make[1] : on quitte le répertoire « /home/patrick/Téléchargements/MP4Tools-3.8/locale »
make[1] : on entre dans le répertoire « /home/patrick/Téléchargements/MP4Tools-3.8 »
make[1]: rien à faire pour « all-am ».
make[1] : on quitte le répertoire « /home/patrick/Téléchargements/MP4Tools-3.8 »
[patrick@PC1 MP4Tools-3.8]$


 



après :

./autogen
./configure
make
et après tu décide big_smile

Voilà, en espérant t'avoir aidé smile

Dernière modification par golgot200 (25-01-2022 08:53:49)

Hors ligne

#11 25-01-2022 13:27:21

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

Bonjour

@patatino

=>  https://wiki.debian.org/fr/ffmpeg


apt policy libav-tools ffmpeg
 



libav-tools:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
ffmpeg:
  Installé : 7:4.1.8-0+deb10u1
  Candidat : 7:4.1.8-0+deb10u1
 Table de version :
 *** 7:4.1.8-0+deb10u1 500
        500 https://deb.debian.org/debian-security buster/updates/main amd64 Packages
        100 /var/lib/dpkg/status
     7:4.1.6-1~deb10u1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
 



il semble que "ffmpeg/libav support"  soit maintenant dans le paquet "ffmpeg"


Tout d'abord, une certaine désambiguïsation :
 il existe un fork de FFmpeg appelé Libav.
 Il existe également un système de bibliothèque qui sous-tend FFmpeg lui-même,
 appelé libav. Cette page concerne la bibliothèque libav, qui fait partie de FFmpeg.
 



=> https://trac.ffmpeg.org/wiki/Using%20libav*

pour le premier lien (commandes) remplacer "avconv" par "ffmpeg"


ffmpeg -codecs
 


ou (retour partiel)


ffmpeg -formats
 



ffmpeg version 4.1.8-0+deb10u1 Copyright (c) 2000-2021 the FFmpeg developers
  built with gcc 8 (Debian 8.3.0-6)
  configuration: --prefix=/usr --extra-version=0+deb10u1 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu
 --incdir=/usr/include/x86_64-linux-gnu --arch=amd64 --enable-gpl --disable-stripping --enable-avresample
 --disable-filter=resample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libaom --enable-libass
 --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libcodec2 --enable-libflite
 --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libjack
 --enable-libmp3lame --enable-libmysofa --enable-libopenjpeg --enable-libopenmpt --enable-libopus
 --enable-libpulse --enable-librsvg --enable-librubberband --enable-libshine --enable-libsnappy
--enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvidstab
 --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxml2
 --enable-libxvid --enable-libzmq --enable-libzvbi --enable-lv2 --enable-omx --enable-openal --enable-opengl
 --enable-sdl2 --enable-libdc1394 --enable-libdrm --enable-libiec61883 --enable-chromaprint --enable-frei0r
 --enable-libx264 --enable-shared

  libavutil      56. 22.100 / 56. 22.100
  libavcodec     58. 35.100 / 58. 35.100
  libavformat    58. 20.100 / 58. 20.100
  libavdevice    58.  5.100 / 58.  5.100
  libavfilter     7. 40.101 /  7. 40.101
  libavresample   4.  0.  0 /  4.  0.  0
  libswscale      5.  3.100 /  5.  3.100
  libswresample   3.  3.100 /  3.  3.100
  libpostproc    55.  3.100 / 55.  3.100
File formats:
 D. = Demuxing supported
 .E = Muxing supported
 


le tout est de se donner la peine de chercher un peu  smile

Dernière modification par robert2a (25-01-2022 13:31:50)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#12 25-01-2022 14:26:41

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

@robert2a

j'ai pas tout compris là, mais qu'est-ce que vient faire libav-tools dans la compilation de MP4Tools smile
il suffit juste d'installer libwxsvg-dev pour poursuivre la compilation comme indiqué dans mon post 10 .... après on verra wink

c'est "mediadec_ffmpeg.h" qui nous manque et qui est dans  libwxsvg-dev et non pas dans libav-tools ou ffmpeg

Dernière modification par golgot200 (25-01-2022 14:47:43)

Hors ligne

#13 25-01-2022 15:34:52

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

patatino a écrit :

Merci pour toutes ces réponses mais elle ne m'aident pas à la résolution du message d'erreur de ./configure, soit l'absence de wxSVG library with ffmpeg/libav support.
Si quelqu'un veut bien essayer de réellement compiler les sources de MP4Tools-38.8 et donner sa solution au message d'erreur.... Merci d'avance !

PS : Pour Debian Alain, j'ai bien lu de fichier install mais la compilation de "wxwidgets" aboutit à la même erreur que celle de Mp4Tools-3.8  !



je répond a ceci (ci dessous ) , et je vois bien que tu n'a rien compris .
moi je répond pour ceci => soit l'absence de wxSVG library with ffmpeg/libav support
ps: il me semble que il faut libwxsvg-dev et ffmpeg  installé

et toi tu répond a ceci => Si quelqu'un veut bien essayer de réellement compiler les sources de MP4Tools-38.8
et donner sa solution au message d'erreur.... Merci d'avance

désoler pour le dérangement ,  out.gif


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#14 25-01-2022 16:03:48

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

robert2a a écrit :


ps: il me semble que il faut libwxsvg-dev et ffmpeg



Sûr pour libwxsvg-dev mais ffmpeg, je n'ai pas regardé wink


EDIT : pour ffmpeg .... oui ou libav .... c'est indiqué dans les fichiers sources smile

Dernière modification par golgot200 (25-01-2022 16:18:14)

Hors ligne

#15 25-01-2022 18:28:26

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

bonjour patatino   smile  smile  smile

le plus simple est d'installer depuis deb-multimedia .

mais ce n'est pas sans risque .
de nombreux paquets sont "mis à jour" (c.a.d. modifiés) ,
des paquets spécifiques sont installés , et ,
compte tenu de la réputation désormais  sulfureuse de ce dépôt ,
je ne te le conseille pas .
ou alors en faisant très attention .
et même en faisant attention ... c'est pas gagné .

le risque de casse du systeme est important .

reste la compilation du dépôt git .
ardue et pas du tout évidente .
tu viens d'en faire les frais .

n'étant pas du tout connaisseur , je te laisse entre les mains des experts .
mais je pense que tu vas avoir beaucoup de mal .

en toute logique , je te conseillerai d'abandonner .

mais je ne suis pas à ta place , je ne sais pas pourquoi tu fais cette démarche .

as tu seulement vérifié que tes(ton) besoin(s) ne peuvent pas être répondus d'une autre manière ?

en demandant conseil pour des programmes spécifiques .

tu trouvera sur le forum de très grands connaisseurs qui pourront t'aider .
sur irc aussi .

amicalement ,

alain .

coyotus.png

Hors ligne

#16 26-01-2022 08:10:49

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

@Debian Alain
c'est résolu avec le #10 de golgot200
ça fonctionne  wink

Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#17 26-01-2022 09:19:18

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

robert2a a écrit :

@Debian Alain
c'est résolu avec le #10 de golgot200
ça fonctionne  wink



Ha si j'avais pu installer checkinstall depuis les paquets AUR, j'aurais pu le dire aussi wink

Dernière modification par golgot200 (26-01-2022 09:19:50)

Hors ligne

#18 26-01-2022 12:37:51

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

golgot200 a écrit :

@patatino

patatino a écrit :

...
Si quelqu'un veut bien essayer de réellement compiler les sources de MP4Tools-38.8 et donner sa solution au message d'erreur.... Merci d'avance !



Ok pour ça tongue


Bonjour,

EDIT : robert2a dans son post 7 fait apparaitre une dev manquante "libwxsvg-dev".

je ne suis pas sous Debian mais je suis quasi-sûr qu'il te manque  :

apt policy libwxsvg-dev



et si pas installé :


apt install libwxsvg-dev




il te faut donc:

mediadec_ffmpeg.h qui se trouve bien dans le paquet libwxsvg-dev :

https://packages.debian.org/buster/amd6 … v/filelist

Et là, je pense que la compilation pourra continuer jusqu'a un éventuel autre manque de "lib...dev"

EDIT 2

J'ai compiler les sources sans problème sous Arch mais en installant surtout un paquet manquant, car comme toi, error :

configure: error: *** missing wxSVG library >= 1.1.13 ***



Installation de wxsvg qui montre dans les détails fichiers : "usr/include/wxSVG/mediadec_ffmpeg.h" et là ça passe :



./autogen.sh
........................

 



après :

./autogen
./configure
make
et après tu décide big_smile

Voilà, en espérant t'avoir aidé smile



Merci pour la réponse, mais peux-tu m'expliquer ce que je dois faire exactement car les librairies demandées sont bien installées (libwxsvg3,libwxsvg-dev, ffmpeg, wxwidgets,ect....). Par contre pour  "wxsvg", faut-il le compiler car je ne l'ai pas trouvé en .deb ?

De plus je n'ai pas d' autogen.sh dans les souces (./autogen). La réponse à la commande est "fichier inexistant".

Mais peut-être ai-je mal compris ce qu'il faut faire ?

Hors ligne

#19 26-01-2022 13:25:54

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

Bonjour
sous debian buster teste ceci (moi sous bookworm je trouve la liste ci dessous


apt policy libwxsvg*
 


retour


libwxsvg-dev:
  Installé : (aucun)
  Candidat : 2:1.5.23+dfsg-1
 Table de version :
     2:1.5.23+dfsg-1 500
        500 https://deb.debian.org/debian bookworm/main amd64 Packages
libwxsvg-tools:
  Installé : (aucun)
  Candidat : 2:1.5.23+dfsg-1
 Table de version :
     2:1.5.23+dfsg-1 500
        500 https://deb.debian.org/debian bookworm/main amd64 Packages
libwxsvg3:
  Installé : (aucun)
  Candidat : 2:1.5.23+dfsg-1
 Table de version :
     2:1.5.23+dfsg-1 500
        500 https://deb.debian.org/debian bookworm/main amd64 Packages
 



ps: cela risque d'être le paquet  "ibwxsvg3" , teste , au pire tu le retire si pas le bon (tu a déjà le "dev" , il te manque le "3" et le "tools")

Dernière modification par robert2a (26-01-2022 13:30:48)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#20 26-01-2022 15:38:33

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Bonjour à vous smile

libwxsvg3


Ne contient pas ce qu'il te manque : mediadec_ffmpeg.h

libwxsvg-tools


Ne contient pas ce qu'il te manque : mediadec_ffmpeg.h

ffmpeg


Ne contient pas ce qu'il te manque : mediadec_ffmpeg.h

wxwidgets


Ne contient pas ce qu'il te manque : mediadec_ffmpeg.h

etc


..... j'en sais rien big_smile


les sources pour Linux ont bien le fichier autogen.sh
le lien direct:
https://www.fosshub.com/MP4Joiner.html? … .8.tar.bz2

Ah oui j'oubliai,
il n'y a pas de wxsvg à installer ou à compiler.


Pour l'instant, il te faut charger les sources ( lien que je t'ai mis )
puis nous faire un :



Correction :

apt policy libwxsvg-dev



Tu nous post bien ce que cette commande te revoie (sans le *) wink avant toute chose, ce sera plus simple pour l'instant big_smile. Je veux vérifier pour être sûr.
Je ne crois pas l'avoir vu dans les posts précédent (mais je suis peut-être passé à côté ) wink


alors si cette commande te renvoie :

libwxsvg-dev:
  Installé : (aucun)
  Candidat : 2:1.5.23+dfsg-1
 Table de version :
     2:1.5.23+dfsg-1 500
        500 https://deb.debian.org/debian bookworm/main amd64 Packages



c'est n'ai pas la peine d'aller plus loin, il faut nous faire un :


apt install libwxsvg-dev
 



car lui, il contient ce qu'il te manque big_smile

Une fois confirmation et pourquoi pas une éventuelle installation, on pourra lancer une par une ces 4 commandes :
(en étant bien dans le dossier MP4Tools-3.8 que tu auras décompressé)

autoupdate
./autogen.sh  
./configure
make



(et ça toujours dans ce même dossier)

Arrivons déjà à ça, et là on pourra mieux voir venir ...


EDIT: le message que tu nous a posté a ton post 1,

MP4Joiner requires the wxSVG library with ffmpeg/libav support."


nous dis seulement qu'il te manque le paquet libwxsvg-dev pour pouvoir continuer la compilation.

Dernière modification par golgot200 (26-01-2022 16:33:57)

Hors ligne

#21 26-01-2022 16:10:04

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

euuuh , les gars , j' ai vraiment pas envie de faire le trouble fête mais :

./autogen.sh


configure.ac:25: warning: The macro `AC_LANG_CPLUSPLUS' is obsolete.
configure.ac:25: You should run autoupdate.
./lib/autoconf/c.m4:262: AC_LANG_CPLUSPLUS is expanded from...
configure.ac:25: the top level



./configure


checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/home/alain/Téléchargements/MP4Tools-3.8/missing: Unknown `--is-lightweight' option
Try `/home/alain/Téléchargements/MP4Tools-3.8/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing
checking for a race-free mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for install location... /usr/local
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... none needed
checking whether gcc understands -c and -o together... yes
checking whether make supports the include directive... yes (GNU style)
checking dependency style of gcc... gcc3
checking for g++... g++
checking whether the compiler supports GNU C++... yes
checking whether g++ accepts -g... yes
checking for g++ option to enable C++11 features... none needed
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for wx-config... /usr/local/bin/wx-config
checking for wxWidgets version >= 2.8.7... yes (version 3.1.5)
checking for wxWidgets static library... no
checking for libavformat >= 53.20.0 libavcodec >= 53.34.0 libavutil libswscale libavfilter >= 2.15.0... no
configure: error: Package requirements (libavformat >= 53.20.0 libavcodec >= 53.34.0 libavutil libswscale libavfilter >= 2.15.0) were not met:

No package 'libavfilter' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBAV_CFLAGS
and LIBAV_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
 



alain@sid:~/Téléchargements/MP4Tools-3.8$ apt-cache madison libavformat libavcodec libavutil  libswscale  libavfilter


N: Impossible de trouver le paquet libavformat
N: Impossible de trouver le paquet libavcodec
N: Impossible de trouver le paquet libavutil
N: Impossible de trouver le paquet libswscale
N: Impossible de trouver le paquet libavfilter
 



apt policy


Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 100 http://deb.debian.org/debian bullseye/non-free i386 Packages
     release v=11.2,o=Debian,a=stable,n=bullseye,l=Debian,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/non-free amd64 Packages
     release v=11.2,o=Debian,a=stable,n=bullseye,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/contrib i386 Packages
     release v=11.2,o=Debian,a=stable,n=bullseye,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/contrib amd64 Packages
     release v=11.2,o=Debian,a=stable,n=bullseye,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/main i386 Packages
     release v=11.2,o=Debian,a=stable,n=bullseye,l=Debian,c=main,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/main amd64 Packages
     release v=11.2,o=Debian,a=stable,n=bullseye,l=Debian,c=main,b=amd64
     origin deb.debian.org
   1 https://www.deb-multimedia.org sid/non-free i386 Packages
     release o=Unofficial Multimedia Packages,a=unstable,n=sid,l=Unofficial Multimedia Packages,c=non-free,b=i386
     origin www.deb-multimedia.org
   1 https://www.deb-multimedia.org sid/non-free amd64 Packages
     release o=Unofficial Multimedia Packages,a=unstable,n=sid,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin www.deb-multimedia.org
   1 https://www.deb-multimedia.org sid/main i386 Packages
     release o=Unofficial Multimedia Packages,a=unstable,n=sid,l=Unofficial Multimedia Packages,c=main,b=i386
     origin www.deb-multimedia.org
   1 https://www.deb-multimedia.org sid/main amd64 Packages
     release o=Unofficial Multimedia Packages,a=unstable,n=sid,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin www.deb-multimedia.org
   1 http://deb.debian.org/debian experimental/non-free i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=non-free,b=i386
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/non-free amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/contrib i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=contrib,b=i386
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/contrib amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/main i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=main,b=i386
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/main amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/non-free i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=non-free,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/non-free amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/contrib i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/contrib amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/main i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/main amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=main,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/non-free i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/non-free amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/contrib i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/contrib amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/main i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=main,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/main amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=main,b=amd64
     origin deb.debian.org
Paquets épinglés :
 



comprends pas . on dirait que les paquets requis n'existent pas même sous stable .

pourtant :

ffmpeg -formats | grep -iE "libavformat|libavcodec|libavutil|libswscale|libavfilter"


ffmpeg version 4.4.1-3 Copyright (c) 2000-2021 the FFmpeg developers
  built with gcc 11 (Debian 11.2.0-14)
  configuration: --prefix=/usr --extra-version=3 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --arch=amd64 --enable-gpl --disable-stripping --enable-gnutls --enable-ladspa --enable-libaom --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libcodec2 --enable-libdav1d --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libjack --enable-libmp3lame --enable-libmysofa --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librabbitmq --enable-librubberband --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libsrt --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libx265 --enable-libxml2 --enable-libxvid --enable-libzimg --enable-libzmq --enable-libzvbi --enable-lv2 --enable-omx --enable-openal --enable-opencl --enable-opengl --enable-sdl2 --enable-pocketsphinx --enable-librsvg --enable-libmfx --enable-libdc1394 --enable-libdrm --enable-libiec61883 --enable-chromaprint --enable-frei0r --enable-libx264 --enable-shared
  libavutil      56. 70.100 / 56. 70.100
  libavcodec     58.134.100 / 58.134.100
  libavformat    58. 76.100 / 58. 76.100
  libavdevice    58. 13.100 / 58. 13.100
  libavfilter     7.110.100 /  7.110.100
  libswscale      5.  9.100 /  5.  9.100
  libswresample   3.  9.100 /  3.  9.100
  libpostproc    55.  9.100 / 55.  9.100
 D  lavfi           Libavfilter virtual input device



pour les paquets libwxsvg :

apt policy libwxsvg*


libwxsvg-dev:
  Installé : 2:1.5.23+dfsg-1
  Candidat : 2:1.5.23+dfsg-1
 Table de version :
     3:1.5.23-dmo1 1
          1 https://www.deb-multimedia.org sid/main amd64 Packages
 *** 2:1.5.23+dfsg-1 500
        100 http://deb.debian.org/debian testing/main amd64 Packages
        500 http://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     2:1.5.22+dfsg.1-1 100
        100 http://deb.debian.org/debian bullseye/main amd64 Packages
libwxsvg-tools:
  Installé : (aucun)
  Candidat : 2:1.5.23+dfsg-1
 Table de version :
     2:1.5.23+dfsg-1 500
        100 http://deb.debian.org/debian testing/main amd64 Packages
        500 http://deb.debian.org/debian unstable/main amd64 Packages
     2:1.5.22+dfsg.1-1 100
        100 http://deb.debian.org/debian bullseye/main amd64 Packages
libwxsvg3:
  Installé : 2:1.5.23+dfsg-1
  Candidat : 2:1.5.23+dfsg-1
 Table de version :
     3:1.5.23-dmo1 1
          1 https://www.deb-multimedia.org sid/main amd64 Packages
 *** 2:1.5.23+dfsg-1 500
        100 http://deb.debian.org/debian testing/main amd64 Packages
        500 http://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     2:1.5.22+dfsg.1-1 100
        100 http://deb.debian.org/debian bullseye/main amd64 Packages
 



amicalement ,

alain .

scratchhead.gif

Dernière modification par Debian Alain (26-01-2022 16:51:47)

Hors ligne

#22 26-01-2022 16:17:40

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

@Debian Alain

bonjour,

faire un :


autoupdate



avant le


./autogen.sh



je lui rajoute à mon post 20 smile


pour le reste, j'espère qu'il ne va pas regarder ton post ou bien il va s'enfuir lol lol lol

EDIT: à y regarder de plus près, moi aussi d'ailleur lol lol lol

Dernière modification par golgot200 (26-01-2022 16:23:48)

Hors ligne

#23 26-01-2022 16:22:53

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

bonjour golgot200   big_smile  big_smile  big_smile

j' ai appliqué ton conseil et c' est vrai que le ./autogen.sh  se passe mieux .

par contre , pour le ./configure , rien ne change .

merci .

amicalement .

alain.

scratchhead.gif

tu veux que j'efface mon post ?

Dernière modification par Debian Alain (26-01-2022 16:28:05)

Hors ligne

#24 26-01-2022 16:23:46

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

je suis sous buster (il est bien en buster  roll )


apt policy libwxsvg
N: Impossible de trouver le paquet libwxsvg
 


le paquet n'existe pas
voila les paquets disponibles


apt policy libwxsvg*
libwxsvg2:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
libwxsvg3:
  Installé : (aucun)
  Candidat : 2:1.5.15+dfsg.2-1
 Table de version :
     2:1.5.15+dfsg.2-1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
libwxsvg-tools:
  Installé : (aucun)
  Candidat : 2:1.5.15+dfsg.2-1
 Table de version :
     2:1.5.15+dfsg.2-1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
libwxsvg2v5:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
libwxsvg-dev:
  Installé : (aucun)
  Candidat : 2:1.5.15+dfsg.2-1
 Table de version :
     2:1.5.15+dfsg.2-1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
 



son profil n'est peut être pas bon


    Distrib. : Debian10 (Buster) Amd64
    Noyau : 4.19.18
    (G)UI : Mate
 



ma debian buster a jour => Linux kabylake1 4.19.0-18-amd64 #1 SMP Debian 4.19.208-1 (2021-09-29) x86_64 GNU/Linux

Dernière modification par robert2a (26-01-2022 16:27:24)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#25 26-01-2022 16:25:59

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

pas simple pas simple lol
Je vais fumer une clop cool

Hors ligne

Pied de page des forums